Visual Studio Version and Editions

In order to develop new services for RDS you need an appropriate version of Visual Studio. RDS 2008 R3 can be used with either Visual Studio 2008 or Visual Studio 2010.
  • Free versions of Visual Studio 2010 are available from the Visual Studio Express web site.
  • Trial versions of Visual Studio 2010 are available from the Visual Studio web site.
  • MSDN Subscribers can download Visual Studio 2008 and 2010.
  • Students in many countries can obtain Visual Studio Professional 2008 and 2010 via DreamSpark.

Important Notes

If you use an Express Edition of Visual Studio 2010, projects will be automatically updated to the new format when you open them. This has the unwanted side-effect of changing the projects to target the .NET 4.0 Framework. The upgraded project will compile, but no Proxy will be generated. You must edit the project file in a text editor, e.g. Notepad, locate the TargetFramework tag and change it from 4.0 to 3.5. You cannot do this in Visual Studio Express because the Target Framework is only displayed, i.e. it is not editable.

If you are using an Edition of Visual Studio 2010 other than Express, upgraded projects still target the .NET 4.0 Framework but you can change back to 3.5 by looking in the Project Properties on the Application tab.

If you inadvertently compile for the .NET 4.0 Framework, the you just need to change back to 3.5 and recompile.

If you want to use any of the C++ samples in the package you must have Visual Studio 2008 because Visual Studio 2010 C++ can only target the .NET 4.0 Framework.

Last edited May 10, 2010 at 12:19 AM by trevtay, version 2

Comments

No comments yet.